body {
  background-color: #1d1d1d;
}

.main-loader {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vmin;
  position: fixed;
  inset: 0;
  background-color: #1d1d1d;
  z-index: 999999;
  transition: opacity 0.4s;
}

.main-loader__logo {
  width: 100px;
}

.main-loader__path {
  stroke-dasharray: 3000 3000;
  stroke-dashoffset: 0;
  animation: dashAnim 5s infinite;
}

@keyframes dashAnim {
  0% {
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dashoffset: -3000;
  }
  100% {
    stroke-dashoffset: -6000;
  }
}
